Docjar: A Java Source and Docuemnt Enginecom.*    java.*    javax.*    org.*    all    new    plug-in

Quick Search    Search Deep

Uses of Class
org.apache.ajp.Ajp13

Uses of Ajp13 in org.apache.ajp
 

Fields in org.apache.ajp declared as Ajp13
(package private)  Ajp13 AjpHandler.channel
           
 

Methods in org.apache.ajp with parameters of type Ajp13
 void RequestHandler.init(Ajp13 ajp14)
           
 int RequestHandler.sendCPong(Ajp13 ch, Ajp13Packet outBuf)
          Send a CPONG REPLY to web server to its CPING request
 int RequestHandler.handleAjpMessage(int type, Ajp13 channel, Ajp13Packet ajp, org.apache.tomcat.util.http.BaseRequest req)
           
protected  int RequestHandler.decodeRequest(Ajp13 ch, Ajp13Packet msg, org.apache.tomcat.util.http.BaseRequest req)
          Parse a FORWARD_REQUEST packet from the web server and store its properties in the passed-in request object.
 void RequestHandler.sendHeaders(Ajp13 ch, Ajp13Packet outBuf, int status, java.lang.String statusMessage, org.apache.tomcat.util.http.MimeHeaders headers)
          Send the HTTP headers back to the web server and on to the browser.
 void RequestHandler.finish(Ajp13 ch, Ajp13Packet outBuf)
          Signal the web server that the servlet has finished handling this request, and that the connection can be reused.
 void RequestHandler.doWrite(Ajp13 ch, Ajp13Packet outBuf, byte[] b, int off, int len)
          Send a chunk of response body data to the web server and on to the browser.
 int RequestHandler.available(Ajp13 ch)
           
 int RequestHandler.doRead(Ajp13 ch)
          Return the next byte of request body data (to a servlet).
 int RequestHandler.doRead(Ajp13 ch, byte[] b, int off, int len)
          Store a chunk of request data into the passed-in byte buffer.
 boolean RequestHandler.refillReadBuffer(Ajp13 ch)
          Get more request body data from the web server and store it in the internal buffer.
 void RequestHandler.beginSendHeaders(Ajp13 ch, Ajp13Packet outBuf, int status, java.lang.String statusMessage, int numHeaders)
           
 void RequestHandler.endSendHeaders(Ajp13 ch, Ajp13Packet outBuf)
           
 void RequestHandler.sendHeaders(Ajp13 ch, Ajp13Packet outBuf, int status, org.apache.tomcat.util.http.MimeHeaders headers)
          Send the HTTP headers back to the web server and on to the browser.
 void NegociationHandler.init(Ajp13 ajp14)
           
 int NegociationHandler.handleAjpMessage(int type, Ajp13 ch, Ajp13Packet hBuf, org.apache.tomcat.util.http.BaseRequest req)
           
private  int NegociationHandler.handleLogInit(Ajp13 ch, Ajp13Packet msg, Ajp13Packet outBuf)
          Handle the Initial Login Message from Web-Server Get the requested Negociation Flags Get also the Web-Server Name Send Login Seed (MD5 of seed)
private  int NegociationHandler.handleLogComp(Ajp13 ch, Ajp13Packet msg, Ajp13Packet outBuf)
          Handle the Second Phase of Login (accreditation) Get the MD5 digest of entropy + secret password If the authentification is valid send back LogOk If the authentification failed send back LogNok
private  int NegociationHandler.handleContextQuery(Ajp13 ch, Ajp13Packet msg, Ajp13Packet outBuf)
           
 void AjpHandler.init(Ajp13 channel)
           
 int AjpHandler.handleAjpMessage(int type, Ajp13 channel, Ajp13Packet ajp, org.apache.tomcat.util.http.BaseRequest req)
          Execute the callback